---
- name: Assert if arcgis_datastore_ags_url is set correctly
  ansible.builtin.assert:
    that:
      - arcgis_datastore_ags_url is defined
      - arcgis_datastore_ags_url is string
      - arcgis_datastore_ags_url is not none
      - arcgis_datastore_ags_url is match('^https?://[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}')
    quiet: yes

- name: Set fact arcgis_datastore_role_valid
  ansible.builtin.set_fact:
    arcgis_datastore_role_valid: "{{  arcgis_datastore_role | split(',') | intersect(arcgis_datastore_role_types) }}"

- name: Assert valid datastore type(s)
  ansible.builtin.assert:
    that:
      - arcgis_datastore_role_valid | length > 0
      - arcgis_datastore_role_valid | length == arcgis_datastore_role | split(',') | length
    fail_msg: >-
      arcgis_datastore_role does not contain valid values.
      It should contain one or more of {{ arcgis_datastore_role_types | join(',') }}.
      The current value is {{ arcgis_datastore_role }}.
    quiet: yes
